## UIM Reset request UIM Reset request |

## Functions

QmiMessageUimResetOutput * | qmi_message_uim_reset_output_ref ()
void | qmi_message_uim_reset_output_unref ()
gboolean | qmi_message_uim_reset_output_get_result ()
void | qmi_client_uim_reset ()
QmiMessageUimResetOutput * | qmi_client_uim_reset_finish ()

## Types and Values

| QmiMessageUimResetOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageUimResetOutput

## Description

## Functions

### qmi_message_uim_reset_output_ref ()

    QmiMessageUimResetOutput *
    qmi_message_uim_reset_output_ref (QmiMessageUimResetOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimResetOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_uim_reset_output_unref ()

    void
    qmi_message_uim_reset_output_unref (QmiMessageUimResetOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimResetOutput. |

Since: 1.6

### qmi_message_uim_reset_output_get_result ()

    gboolean
    qmi_message_uim_reset_output_get_result
                                   (QmiMessageUimResetOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimResetOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_client_uim_reset ()

    void
    qmi_client_uim_reset (QmiClientUim *self,
                          gpointer unused,
                          guint timeout,
                          GCancellable *cancellable,
                          GAsyncReadyCallback callback,
                          gpointer user_data);

Asynchronously sends a Reset request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_reset_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_uim_reset_finish ()

    QmiMessageUimResetOutput *
    qmi_client_uim_reset_finish (QmiClientUim *self,
                                 GAsyncResult *res,
                                 GError **error);

Finishes an async operation started with `qmi_client_uim_reset()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_reset()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimResetOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_reset_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageUimResetOutput

    typedef struct _QmiMessageUimResetOutput QmiMessageUimResetOutput;

The QmiMessageUimResetOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6